Package htsjdk.samtools.cram.compression.rans.rans4x8

# Class RANS4x8Decode

java.lang.Object
htsjdk.samtools.cram.compression.rans.RANSDecode
htsjdk.samtools.cram.compression.rans.rans4x8.RANS4x8Decode

public class RANS4x8Decode extends RANSDecode

## Constructor Summary

Constructors
Constructor
Description
`RANS4x8Decode()`

## Method Summary

Modifier and Type
Method
Description
`ByteBuffer`
`uncompress(ByteBuffer inBuffer)`

### Methods inherited from class htsjdk.samtools.cram.compression.rans.RANSDecode

`getD, getDecodingSymbols, initializeRANSDecoder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RANS4x8Decode

public RANS4x8Decode()

## Method Details

### uncompress

public ByteBuffer uncompress(ByteBuffer inBuffer)

Specified by:
  `uncompress` in class `RANSDecode`